<template>
    <v-dialog v-model="modalOpen" max-width="1000px">
        <v-card style="font-size: 18px;letter-spacing: -0.025em; background-color: #00468A; color: #ffff;">
            <v-container>
                Yetkiye İzin Giriş Ekranı
            </v-container>
        </v-card>
        <v-card>
            <v-container>
                <v-row>
                    <v-col>
                        <v-col cols="12">
                            <v-combobox v-model="select" :items="items" label="I use chips" multiple chips></v-combobox>
                        </v-col>
                    </v-col>
                </v-row>

                <v-row>
                    <v-col cols="12" md="6" justify="start" class="text-left">
                        <custom-button style="width: 120px;" color="danger" size="medium" val="Vazgeç"
                            @click="closeModal" />
                    </v-col>
                    <v-col cols="12" md="6" justify="end" class="text-right">
                        <custom-button style="width: 120px;" color="primary" size="medium" val="Kaydet"
                            @click="submitForm" />
                    </v-col>
                </v-row>
            </v-container>
        </v-card>
    </v-dialog>
</template>
  
<script>
import { ref, watch, emit } from 'vue';
import CustomButton from '@/components/custom-controller/CustomButton.vue';
export default {
    components: {
        CustomButton
    },
    props: {
        isOpen: {
            type: Boolean,
            default: false
        }
    },
    setup(props) {
        const modalOpen = ref(props.isOpen);


        watch(() => props.isOpen, (newVal) => {
            modalOpen.value = newVal;
        });

        const closeModal = () => {
            modalOpen.value = false;
            emit('close');
        };
        const submitForm = () => {


        };

        return {
            closeModal,
            submitForm
        };
    }
};
</script>
  